Distorted Android - Feature #7

New Effect: glow
06/03/2016 11:53 PM - Distorted Admin

Status: Closed Start date: 06/03/2016
Priority: Normal Due date:

Assignee: Distorted Admin % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
effect to add a glow around an object.

Once we have blur, this is easy:

1) render the original object

2) render a slightly larger version of the Object we want to blur with a shader that draws it in a 'light' solid color to a FBO
3) blur this

4) render it on top of the original, partly-transparent.

History

#1 - 06/03/2016 11:57 PM - Distorted Admin

- Tracker changed from Bug to Feature

#2 - 01/11/2017 10:54 PM - Distorted Admin
Blocked by BLUR.

#3 - 01/27/2017 12:28 AM - Distorted Admin
- Subject changed from New Effect: glow to New Effect: bloom
- Status changed from New to In Progress

- Assignee set to Distorted Admin

Blur done, starting this.

#4 - 04/30/2017 10:13 PM - Distorted Admin

On hold until Feature #25 (Transform Feedback) is implemented.

#5 - 05/26/2017 12:22 PM - Leszek Koltunski

Now that #25 is done, | am actually beginning to work on Bloom (aka Glow?).

#6 - 02/21/2018 11:19 AM - Leszek Koltunski

Suppose we are rendering a glowing 3D cube. Then we need to be able to superimpose a partially transparent, larger (and blurred) version of the
cube on top of the original cube. This needs order-independent transparency. Thus, the whole thing depends on #15.

#7 - 02/21/2018 11:21 AM - Distorted Admin

- Status changed from In Progress to New

#8 - 04/12/2018 11:07 PM - Leszek Koltunski
- Subject changed from New Effect: bloom to New Effect: glow

#9 - 04/12/2018 11:09 PM - Leszek Koltunski
- % Done changed from 0 to 40

#10 - 12/07/2018 01:15 PM - Leszek Koltunski
- Status changed from New to Closed

- % Done changed from 40 to 100

Commit 8e88389e adds the last (modulo known bugs) mechanism to this - issue resolved and closed.
